package com.fs.kingbos.service;

import com.fs.erp.dto.ErpOrderResponse;
import com.fs.kingbos.domian.KingbosOrderRequest;
import com.fs.kingbos.domian.KingbosOrderResponse;
import com.fs.kingbos.domian.KingbosRefundOrderRequest;

import java.text.ParseException;

public interface K9OrderService {
    KingbosOrderResponse addOrder(KingbosOrderRequest request);

    KingbosOrderResponse refundOrder(KingbosRefundOrderRequest request);

    ErpOrderResponse addOmsOrder(Long orderId);

    ErpOrderResponse refundOmsOrder(Long orderId);
}
